import bpy
from . import append_new_images
from . import operators
from . import io_curve_svg
from . import optimize_modifiers

classes = []
classes += append_new_images.classes
classes += operators.classes
classes += io_curve_svg.classes
classes += optimize_modifiers.classes

def register():
    for cls in classes:
        bpy.utils.register_class(cls)

def unregister():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)