# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

bl_info = {
    "name" : "Procedural Signs",
    "author" : "Difffuse Studio",
    "description" : "",
    "blender" : (4, 2, 0),
    "version" : (1, 3, 0),
    "location" : "",
    "warning" : "",
    "category" : "Asset"
}

from . import preferences
from . import properties, ui, Operators
from .translation.translate import GetTranslationDict
import bpy


def register():
    preferences.register()
    properties.register()
    Operators.register()
    ui.register()
    try:
        bpy.app.translations.register(__package__, GetTranslationDict())
    except:
        pass
def unregister():
    try:
        bpy.app.translations.unregister(__package__)
    except:
        pass
    ui.unregister()
    Operators.unregister()
    properties.unregister()
    preferences.unregister()